Показать статистику
0 голосов
от (1.6тыс. баллов)

введите описание изображения здесь Я попытался установить Photoshop cc в Ubuntu 20.04, но в моем терминале возникла ошибка. Сначала я хотел установить через Wine, но я получил это:

 "The following packages have unmet dependencies:
 winehq-stable : Depends: wine-stable (= 7.0.0.0~focal-1)
E: Unable to correct problems, you have held broken packages." I can't resolve this problem.

Затем я посетил это репо и руководил опубликованным там руководством https://github.com/Gictorbit/photoshopCClinux . Первая ошибка "пожалуйста, установите пакеты mono и gecko, затем нажмите кнопку "ОК", не меняйте версию Windows с Windows 7". Хорошо, дальше я попробовал установить моно пакеты, но не повезло. на этот раз я получил

Err:1 http://mirror.vorboss.net/ubuntu-archive focal/universe amd64 mono-runtime-sgen amd64 6.8.0.105+dfsg-2
  403  Forbidden

Пожалуйста, объясните мне, как это работает? или если мне действительно нужен фотошоп, могу ли я удалить ubuntu? большое спасибо!

370 просмотров 1 ответов

1 Ответ

0 голосов
от (2.7тыс. баллов)

На момент написания репозиторий WineHQ для Ubuntu 20.04 LTS работал нормально.

Итак, ваша проблема вызвана разбитым зеркалом в http://mirror.vorboss.net/ubuntu-archive. Вы должны переключиться с него на главный сервер или другой сервер с помощью программного обеспечения и обновлений ( software-properties-gtk) для этой цели.

Затем исправьте другие сломанные репозитории и ключи с помощью

curl -sS https://dl.yarnpkg.com/debian/pubkey.gpg | sudo apt-key add -
sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys 23E7166788B63E1E

sudo add-apt-repository -r ppa:andrew-crew-kuznetsov/xneur-stable
sudo add-apt-repository -r ppa:atareao/flameshot
sudo add-apt-repository -r ppa:chris-lea/node.js

И, наконец, запустите обычные процедуры обновления списков пакетов и обновления пакетов, используя следующие команды:

sudo apt-get update
sudo apt-get install -f
sudo dpkg --configure -a
sudo apt-get dist-upgrade
от (2.7тыс. баллов)
0
...